Dock Activities

Beta: List dock activities

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

date__gtestring Β· date-timeOptional

Filter dock activities with a date greater or equal than provided value. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.

date__ltestring Β· date-timeOptional

Filter dock activities with a date lower or equal than provided value. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.

no_datebooleanOptional

Filter dock activities with no date. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.

address_id__instringOptional

Comma-separated list of address ids for the requested dock activities

Example: 12345,9876
Responses
chevron-right
200

Get successful

application/json
get
/dock-activities/
200

Get successful

Last updated

Was this helpful?